Bug 61453 - Please add perl-PDL dependency to GIMP.
Please add perl-PDL dependency to GIMP.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gimp (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-19 17:29 EST by Ed Halley
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-14 17:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-03-19 17:29:03 EST
Description of Problem:
  The gimp-1.2.1 and submitted/unreleased gimp-1.2.3-2 packages give multiple
warnings during the build that several features and plugins are disabled due to
lack of an installed perl-PDL package dependency.  Please add the perl-PDL
dependency (package required at build time and at installation) to produce fully
implemented gimp-* packages.

Version-Release number of selected component (if applicable):
  gimp-1.2.1

How Reproducible:
  Always.

Steps to Reproduce:
1. Using gimp-1.2.1 or gimp-1.2.3-2  .src.rpm, attempt build without perl-PDL.
2. Note warnings in the ./configure stage of the build process.
3. Using gimp-1.2.1 or gimp-1.2.3-2  .src.rpm, attempt build with perl-PDL.
4. Note lack of warnings and different binary .rpm file results.

Actual Results:
  GIMP includes and enables none of the features which depend on perl-PDL.

Expected Results:
  GIMP should include and enable all available features of the package.

Additional Information:
  I offered a preliminary gimp-1.2.3-2 .spec file for msw and noted the issue at
the time via email.
Comment 1 Petri T. Koistinen 2002-09-14 17:47:47 EDT
Yep, there is now depency in Raw Hide, but it's not working correctly.

$ rpm -Uvh gimp-perl-1.2.3-8.i386.rpm 
varoitus: gimp-perl-1.2.3-8.i386.rpm: Header V3 DSA signature: NOKEY, key ID
897da07a
virhe: Failed dependencies:
        perl(PDL::LiteF) is needed by gimp-perl-1.2.3-8
$ rpm -q perl-PDL
perl-PDL-2.3.2-10

(perl-PDL includes PDL::LiteF)
Comment 2 Matt Wilson 2002-10-15 12:39:32 EDT
done in 8.0

Note You need to log in before you can comment on or make changes to this bug.